Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

## Class CurrencyExchange5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_07.CurrencyExchange5

    public class CurrencyExchange5
    extends java.lang.Object

Java class for CurrencyExchange5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CurrencyExchange5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SrcCcy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyCode"/>
             <element name="TrgtCcy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             <element name="UnitCcy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             <element name="XchgRate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}BaseOneRate"/>
             <element name="CtrctId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="QtnDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ISODateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ctrctId`
`protected javax.xml.datatype.XMLGregorianCalendar` `qtnDt`
`protected java.lang.String` `srcCcy`
`protected java.lang.String` `trgtCcy`
`protected java.lang.String` `unitCcy`
`protected java.math.BigDecimal` `xchgRate`

### Constructor Summary

Constructors
`CurrencyExchange5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCtrctId()` Gets the value of the ctrctId property.
`javax.xml.datatype.XMLGregorianCalendar` `getQtnDt()` Gets the value of the qtnDt property.
`java.lang.String` `getSrcCcy()` Gets the value of the srcCcy property.
`java.lang.String` `getTrgtCcy()` Gets the value of the trgtCcy property.
`java.lang.String` `getUnitCcy()` Gets the value of the unitCcy property.
`java.math.BigDecimal` `getXchgRate()` Gets the value of the xchgRate property.
`void` `setCtrctId​(java.lang.String value)` Sets the value of the ctrctId property.
`void` `setQtnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the qtnDt property.
`void` `setSrcCcy​(java.lang.String value)` Sets the value of the srcCcy property.
`void` `setTrgtCcy​(java.lang.String value)` Sets the value of the trgtCcy property.
`void` `setUnitCcy​(java.lang.String value)` Sets the value of the unitCcy property.
`void` `setXchgRate​(java.math.BigDecimal value)` Sets the value of the xchgRate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### srcCcy

    protected java.lang.String srcCcy

#### trgtCcy

    protected java.lang.String trgtCcy

#### unitCcy

    protected java.lang.String unitCcy

#### xchgRate

    protected java.math.BigDecimal xchgRate

#### ctrctId

    protected java.lang.String ctrctId

#### qtnDt

    protected javax.xml.datatype.XMLGregorianCalendar qtnDt

### Constructor Detail

#### CurrencyExchange5

    public CurrencyExchange5()

### Method Detail

#### getSrcCcy

    public java.lang.String getSrcCcy()

Gets the value of the srcCcy property.

Returns:
  possible object is `String`

#### setSrcCcy

    public void setSrcCcy​(java.lang.String value)

Sets the value of the srcCcy property.

Parameters:
  `value` - allowed object is `String`

#### getTrgtCcy

    public java.lang.String getTrgtCcy()

Gets the value of the trgtCcy property.

Returns:
  possible object is `String`

#### setTrgtCcy

    public void setTrgtCcy​(java.lang.String value)

Sets the value of the trgtCcy property.

Parameters:
  `value` - allowed object is `String`

#### getUnitCcy

    public java.lang.String getUnitCcy()

Gets the value of the unitCcy property.

Returns:
  possible object is `String`

#### setUnitCcy

    public void setUnitCcy​(java.lang.String value)

Sets the value of the unitCcy property.

Parameters:
  `value` - allowed object is `String`

#### getXchgRate

    public java.math.BigDecimal getXchgRate()

Gets the value of the xchgRate property.

Returns:
  possible object is `BigDecimal`

#### setXchgRate

    public void setXchgRate​(java.math.BigDecimal value)

Sets the value of the xchgRate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getCtrctId

    public java.lang.String getCtrctId()

Gets the value of the ctrctId property.

Returns:
  possible object is `String`

#### setCtrctId

    public void setCtrctId​(java.lang.String value)

Sets the value of the ctrctId property.

Parameters:
  `value` - allowed object is `String`

#### getQtnDt

    public javax.xml.datatype.XMLGregorianCalendar getQtnDt()

Gets the value of the qtnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setQtnDt

    public void setQtnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the qtnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`